Subject: bug#24179: 25.1; scroll-conservatively over SCROLL_LIMIT may put point in the wrong place

From: Alex <[email-masked]>
Date: Sat, 13 Aug 2016 10:59:15 -0600

Eli Zaretskii <[email-masked]> writes:

> Yes, I see that, thanks.  I will think if something can be done in
> that case.

Thanks for looking into this.

> I'm not sure I understand the question.  Redisplay cycles happen in
> Emacs all the time when Emacs is idle, but usually they quickly
> determine that nothing has to be done, so you don't see them
> happening.  In this case, Emacs sees that point is not inside the
> window, so it attempts to correct that.

I meant that if it was necessary to show the point in the wrong position
in this case even for a very brief period of time. That is, could Emacs
correct the position before displaying the point to the user?